Identities

Upload an identity

Uploads an identity (supports multiple images) for use in batch processing.

POST
/identity/upload
AuthorizationBearer <token>

Token-based authentication using access tokens.

In: header

imageImage

Identity image data.

Formatbinary
name?Name

Optional custom name for the identity.

Defaultnull
tag?Tag

Optional tag for budget_category purposes.

Defaultnull

Response Body

Examples

curl -X POST "https://v2.api.piktid.com/identity/upload" \
  -F image="string"
{
  "original_filename": null,
  "link": "string",
  "visibility": "shared",
  "groups": [
    "string"
  ],
  "identity_code": "string",
  "name": "string",
  "created_by": "string",
  "image_description": null,
  "success": true,
  "face_detected": true,
  "face_metadata": {
    "property1": 0,
    "property2": 0
  },
  "created_at": "string"
}
Empty
Empty
Empty